Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 732248 - sys-libs/libixp fails to link with LLD because of /usr/lib in the link command line
Summary: sys-libs/libixp fails to link with LLD because of /usr/lib in the link comman...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-07-11 19:09 UTC by Agostino Sarubbo
Modified: 2020-09-17 15:36 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,10.61 KB, text/plain)
2020-07-11 19:10 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-11 19:09:58 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: sys-libs/libixp fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64  (internal ref: tinderbox)

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-11 19:10:04 UTC
Created attachment 648930 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2020-09-17 15:36:53 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d1565c671c36b6a6da9c89fa5fad0a12f3d37e1

commit 2d1565c671c36b6a6da9c89fa5fad0a12f3d37e1
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-09-17 15:36:33 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-09-17 15:36:33 +0000

    sys-libs/libixp: Port to EAPI 7
    
    Closes: https://bugs.gentoo.org/706752
    Closes: https://bugs.gentoo.org/732248
    Closes: https://bugs.gentoo.org/740914
    Package-Manager: Portage-3.0.7, Repoman-3.0.1
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../libixp/files/libixp-0.5_p20110208-gentoo.patch | 40 ++++++++++++++++++++++
 sys-libs/libixp/libixp-0.5_p20110208-r3.ebuild     | 37 +++++++++-----------
 2 files changed, 56 insertions(+), 21 deletions(-)